Package com.io7m.idstore.protocol.user.cb

# Class IdUCB1Validation

java.lang.Object
com.io7m.idstore.protocol.user.cb.IdUCB1Validation

All Implemented Interfaces:
  `IdProtocolMessageValidatorType<IdUMessageType,ProtocolIdUv1Type>`

public final class IdUCB1Validation extends Object implements IdProtocolMessageValidatorType<IdUMessageType,ProtocolIdUv1Type>
Functions to translate between the core command set and the User v1 Cedarbridge encoding command set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCB1Validation()`
  Functions to translate between the core command set and the User v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdUMessageType`
  `convertFromWire(ProtocolIdUv1Type message)`
  Convert a wire message to a core message.
  `ProtocolIdUv1Type`
  `convertToWire(IdUMessageType message)`
  Convert a core message to a wire message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUCB1Validation

    public IdUCB1Validation()
    Functions to translate between the core command set and the User v1 Cedarbridge encoding command set.

- ## Method Details

  - ### convertToWire

    public ProtocolIdUv1Type convertToWire(IdUMessageType message) throws IdProtocolException
    Description copied from interface: `IdProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `IdProtocolMessageValidatorType<IdUMessageType,ProtocolIdUv1Type>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `IdProtocolException` - On errors

  - ### convertFromWire

    public IdUMessageType convertFromWire(ProtocolIdUv1Type message) throws IdProtocolException
    Description copied from interface: `IdProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `IdProtocolMessageValidatorType<IdUMessageType,ProtocolIdUv1Type>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `IdProtocolException` - On errors